Loading...
Searching...
No Matches
casacore::SumAbsDiff< T, Accum > Struct Template Reference

Functor to add absolute diff of right and base value to left. More...

`#include <Functors.h>`

## Public Member Functions

| SumAbsDiff (T base)
Accum | operator() (Accum left, T right) const

## Private Attributes

Accum | itsBase

## Detailed Description

template<typename T, typename Accum = T>
struct casacore::SumAbsDiff< T, Accum >

Functor to add absolute diff of right and base value to left.

It can be used to calculate the average deviation.

Definition at line 633 of file Functors.h.

## Constructor & Destructor Documentation

## SumAbsDiff()

template<typename T, typename Accum = T>

casacore::SumAbsDiff< T, Accum >::SumAbsDiff | ( | T | base | ) |

inline explicit

Definition at line 635 of file Functors.h.

References itsBase.

## Member Function Documentation

## operator()()

template<typename T, typename Accum = T>

Accum casacore::SumAbsDiff< T, Accum >::operator() | ( | Accum | left,
|  | T | right ) const

inline

Definition at line 636 of file Functors.h.

References casacore::abs(), and itsBase.

## Member Data Documentation

## itsBase

template<typename T, typename Accum = T>

Accum casacore::SumAbsDiff< T, Accum >::itsBase

private

Definition at line 639 of file Functors.h.

Referenced by operator()(), and SumAbsDiff().

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h